package treeplus.visualization;

/**
 * Helper class to store the values for incoming, outgoing and bidirectional adjacent nodes
 * to a selected node.
 * @author Neubauer, Kstinger
 *
 */
public class DegreeHelper {

	private int in;
	private int out;
	private int bi;

	/**
	 * Creates an instance of the DegreeHelper.
	 * @param outCount the amount of outgoing nodes
	 * @param biCount the amount of bidirectional nodes
	 * @param inCount the amount of incoming nodes
	 */
	public DegreeHelper(int outCount, int biCount, int inCount) {
		out = outCount;
		bi = biCount;
		in = inCount;
	}

	/**
	 * Sets the incoming node count.
	 * @param in
	 */
	public void setIn(int in) {
		this.in = in;
	}

	/**
	 * Gets the incoming node count.
	 * @return in
	 */
	public int getIn() {
		return in;
	}

	/**
	 * Sets the outgoing node count.
	 * @param out
	 */
	public void setOut(int out) {
		this.out = out;
	}

	/**
	 * Gets the outgoing node count.
	 * @return
	 */
	public int getOut() {
		return out;
	}

	/**
	 * Sets the bidirectional node count.
	 * @param bi
	 */
	public void setBi(int bi) {
		this.bi = bi;
	}

	/**
	 * Gets the bidirectional node count.
	 * @return bi
	 */
	public int getBi() {
		return bi;
	}

}
