package treeplus.visualization;

/**
 * The direction enumeration is a helper enum to define the direction of edges from and to nodes
 * in the given graph. The direction is later used to determine various attributes of Nodes (like color,
 * drawn images, etc).
 * @author Neubauer, Kstinger
 *
 */
public enum Direction {
	
	/**
	 * defines, that the node is an incoming node to the currently selected one.
	 */
	In,
	
	/**
	 * defines, that the node is an outgoing node from the currently selected one.
	 */
	Out,
	
	/**
	 * defines, that the node is a bidirectional node to the currently selected one,
	 * which means, there exist edges from and to the node.
	 */
	Bi
}
