package treeplus.visualization;

import prefuse.action.assignment.ColorAction;
import prefuse.visual.VisualItem;

/**
 * {@link ColorAction} that colors the edges using a grayish color by default
 * @author Neubauer, Kstinger
 *
 */
public class EdgeColorAction extends ColorAction {

	/**
	 * Creates a ColorAction for the given group.
	 * @param group the group of items to which the color action should be applied
	 */
	public EdgeColorAction(String group) {
		super(group, VisualItem.STROKECOLOR);
	}

	/**
	 * Calculates the color for the given item.
	 * 
	 * @param item the visual item for which to calc the color
	 * @return the color - value represented as integer
	 */
	public int getColor(VisualItem item) {

		return ColorContext.NormalEdgeColor;

	}

}
