package treeplus.visualization;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JPanel;

/**
 * {@link AbstractAction} that sets the legend Panel visible or invisible.
 * @author Neubauer, Kstinger
 *
 */
public class LegendAction extends AbstractAction {
	
	JPanel legend;
	
	/**
	 * Creates a new LegendAction with the given legend Panel
	 * @param legend the legend Panel
	 */
	public LegendAction(JPanel legend){
		this.legend = legend;
	}
	
	/**
	 * If the legend panel is visible the panel is set invisible and vice versa.
	 */
	public void actionPerformed(ActionEvent e) {
		if(legend.isVisible()){
			legend.setVisible(false);
		}else{
			legend.setVisible(true);
		}
		
	}

}
