package treeplus.visualization;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

/**
 * {@link AbstractAction} that toggles the hint bars of the nodes.
 * 
 * @author Neubauer, Kstinger
 *
 */
public class ToggleHintsAction extends AbstractAction {
    private TreePlus treeplus;

    /**
     * creates an instance of the action.
     * @param treeplus the instance used to notify the visualization to refresh the nodes
     */
    public ToggleHintsAction(TreePlus treeplus) {
        this.treeplus = treeplus;
        this.putValue(AbstractAction.NAME, "Toggle Hints");
    }
    
    /**
     * calls the {@link TreePlus} instance to refresh its nodes currently drawn.
     * @param e the action event
     */
    public void actionPerformed(ActionEvent e) {    	        
        treeplus.toggleRenderer();
    }
}
