package treeplus.visualization.demo;

import prefuse.util.ui.UILib;

public class TreePlusMain {

    public static final String GRAPH_FILE = "sample_foodweb.graphml";    

    /**
     * The main method to start TreePlus.
     * 
     * <ul>
     * 	<li>first argument - filename: the name of the *.graphml file to load</li>
     *  <li>second argument - labelname: the name of the label attribute in the graphml file</li>
     * </ul>
     * @param argv a string array containing filename and labelname
     * 
     */
    public static void main(String argv[]) {
    	UILib.setPlatformLookAndFeel();
    	
    	String graphfile = GRAPH_FILE;    	
        String label = "nodename";    
        
        if ( argv.length > 1 ) {
        	graphfile = argv[0];
            label = argv[1];   
        }
        
        TreePlusRunner runner = new TreePlusRunner();
        runner.run(graphfile, label);
    } 
    
} 

